%global packname  rgdal
%global rlibdir  %{_libdir}/R/library


Name:             R-%{packname}
Version:          1.2.18
Release:          2%{?dist}
Summary:          Bindings for the 'Geospatial' Data Abstraction Library

License:          GPLv2+
URL:              https://cran.r-project.org/web/packages/%{packname}/index.html
Source0:          https://cran.r-project.org/src/contrib/%{packname}_1.2-18.tar.gz

# Here's the R view of the dependencies world:
# Depends:   R-methods R-sp
# Imports:   R-grDevices R-graphics R-stats R-utils
# Suggests:
# LinkingTo:
# Enhances:

Requires:         R-methods R-sp
Requires:         R-grDevices R-graphics R-stats R-utils
Requires:         proj-epsg proj-nad

BuildRequires:    gdal-devel >= 1.6.3
BuildRequires:    proj-devel >= 4.4.9
BuildRequires:    proj-epsg
BuildRequires:    proj-nad
BuildRequires:    R-devel tex(latex) R-methods R-sp-devel
BuildRequires:    R-grDevices R-graphics R-stats R-utils

%description
Provides bindings to the 'Geospatial' Data Abstraction Library ('GDAL')
(>= 1.6.3) and access to projection/transformation operations from the
'PROJ.4' library. Both 'GDAL' raster and 'OGR' vector map data can be
imported into R, and 'GDAL' raster data and 'OGR' vector data exported.
Use is made of classes defined in the 'sp' package.


%prep
%setup -q -c -n %{packname}


%build


%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css

# Remove unnecessary documentation.
rm %{buildroot}%{rlibdir}/%{packname}/README.windows
rm %{buildroot}%{rlibdir}/%{packname}/SVN_VERSION


%check
%{_bindir}/R CMD check %{packname}


%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/doc
%doc %{rlibdir}/%{packname}/html
%{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/ChangeLog
%doc %{rlibdir}/%{packname}/README
%license %{rlibdir}/%{packname}/LICENSE.TXT
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help
%dir %{rlibdir}/%{packname}/libs
%{rlibdir}/%{packname}/libs/%{packname}.so
%{rlibdir}/%{packname}/OSGeo4W_test
%{rlibdir}/%{packname}/data
%{rlibdir}/%{packname}/etc
%{rlibdir}/%{packname}/pictures
%{rlibdir}/%{packname}/vectors


%changelog
* Fri May 18 2018 Tom Callaway <spot@fedoraproject.org> - 1.2.18-2
- rebuild for R 3.5.0

* Tue Mar 20 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.2.18-1
- initial package for Fedora
